Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.AnnotationsOptContext

- org.apache.groovy.parser.antlr4.GroovyParser.AnnotationsOptContext

-     public static class GroovyParser.AnnotationsOptContext
      extends GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AnnotationsOptContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends AnnotationContext>` | `annotation()`
    `` | `public AnnotationContext` | `annotation(int i)`
    `` | `public int` | `getRuleIndex()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public NlsContext` | `nls(int i)`

- - ### Constructor Detail

    - #### public AnnotationsOptContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends AnnotationContext> annotation()

    - #### public AnnotationContext annotation(int i)

    - #### @Override
      public int getRuleIndex()

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)